| Classes - Annotated - Tree - Functions - Home - Structure

# QVButtonGroup Class Reference

The QVButtonGroup widget organizes QButton widgets in a group with one vertical column. More...

`#include <qvbuttongroup.h>`

Inherits QButtonGroup.

List of all member functions.

## Public Members

- QVButtonGroup ( QWidget * parent=0, const char * name=0 )
- QVButtonGroup ( const QString & title, QWidget * parent=0, const char * name=0 )
- ~QVButtonGroup ()

## Detailed Description

The QVButtonGroup widget organizes QButton widgets in a group with one vertical column.

QVButtonGroup is a convenience class that offers a thin layer on top of QButtonGroup. Think of it as a QVBox that offers a frame with a title and is specifically designed for buttons.

## Member Function Documentation

### QVButtonGroup::QVButtonGroup ( QWidget * parent=0, const char * name=0 )

Constructs a vertical button group with no title.

The parent and name arguments are passed to the QWidget constructor.

### QVButtonGroup::QVButtonGroup ( const QString & title, QWidget * parent=0, const char * name=0 )

Constructs a vertical button group with a title.

The parent and name arguments are passed to the QWidget constructor.

### QVButtonGroup::~QVButtonGroup ()

Destructs the vertical button group, deleting its child widgets.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.